POST api/NTCosCompany/PostHotlineNumber

Request Information

URI Parameters

None.

Body Parameters

HotlineNumberDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Number

string

String length: inclusive between 0 and 50

CompanyName

string

String length: inclusive between 0 and 60

Tag

string

String length: inclusive between 0 and 50

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Number": "sample string 2",
  "CompanyName": "sample string 3",
  "Tag": "sample string 4",
  "ValidFlag": true,
  "DateCreated": "2026-06-20T12:50:18.3816699-07:00",
  "DateUpdated": "2026-06-20T12:50:18.3816699-07:00",
  "UserIDCreated": 8,
  "UserIDUpdated": 9,
  "CompanyCode": "sample string 10",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfHotlineNumberDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

HotlineNumberDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Number": "sample string 2",
    "CompanyName": "sample string 3",
    "Tag": "sample string 4",
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:50:18.3816699-07:00",
    "DateUpdated": "2026-06-20T12:50:18.3816699-07:00",
    "UserIDCreated": 8,
    "UserIDUpdated": 9,
    "CompanyCode": "sample string 10",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}